<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.BasDevToElecMapper">

    <resultMap type="cn.cecep.talroad.domain.BasDevToElec" id="BasDevToElecResult">
        <result property="deviceId"    column="device_id"    />
        <result property="elecDeviceId"    column="elec_device_id"    />
        <result property="createTime"    column="create_time"    />
    </resultMap>


    <sql id="selectBasDevToElecVo">
        select device_id, elec_device_id, create_time from bas_dev_to_elec
    </sql>

    <select id="selectBasDevToElecList" parameterType="cn.cecep.talroad.domain.BasDevToElec" resultMap="BasDevToElecResult">
        <include refid="selectBasDevToElecVo"/>
        <where>
        </where>
    </select>

</mapper>
